[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#135211: boot-floppies: bf2.4 has 2.4.17 kernel but 2.2.20 modules

#include <hallo.h>
Claus Hindsgaul wrote on Fri Feb 22, 2002 um 06:25:23PM:

> The modules from the bf24 drivers disks were placed in
> /lib/modules/2.2.20 during installation.

Which installation? What are you talking about? The modules are placed
correctly on the target system.

> I tried to fix it by symlinking
> /lib/modules/2.4.17-bf24 -> /lib/modules/2.2.20
> Then I was told that the modules were compiled for kernel 2.2.20.

WHAT does tell this to you? If there are NO MODULES included in the
installation root fs, they CANNOT be compiled for 2.2.20. I dont know
what you do wrong in your experiments.

> My conclusion was that the bf24 flavor did indeed contain loadable
> modules AND that they belonged to the wrong kernel version.

Which modules? There is nono of them in the rootfs, and the drivers
volume contains the right set of modules (just loaded some of them -
works of course).

> Should I file a bug report that bf24 contains loadable modules even
> though it shouldn't??

Find some real bugs to report.


Reply to: